package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.io.Serializable;
import java.util.Date;

/**
 * Model: ht_pass_card_record -- 过卡记录表
 * @author yzs 
 */

public class HtPassCardDTO  implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	


	/**
	 * 场所代码 
	 */
	private String areaNo;	

	/**
	 * 进出口标志 I:进口，E：出口 
	 */
	@JsonProperty("iEFlag")
	private String iEFlag;	

	/**
	 * 场所名称 
	 */
	private String areaName;

	/**
	 * 通道代码 
	 */
	private String channelNo;	

	/**
	 * 通道名称 
	 */
	private String channelName;	

	/**
	 * 车牌号码 
	 */
	private String veNo;	

	/**
	 * 地磅重量 
	 */
	private Double crossWeight;	

	/**
	 * 卡 口 类 型 （ 1卡;2 卡;3 卡） 
	 */
	private String channelType;	

	/**
	 * 验放结果 
	 */
	private String checkResult;	

	/**
	 * 运输批次号 
	 */
	private String manifestId;	

	/**
	 * 单证代码 
	 */
	private String billCode;	

	/**
	 * 处理放行时间 
	 */
	private String checkTime;


	public String getAreaNo() {
		return areaNo;
	}

	public void setAreaNo(String areaNo) {
		this.areaNo = areaNo;
	}

	public String getiEFlag() {
		return iEFlag;
	}

	public void setiEFlag(String iEFlag) {
		this.iEFlag = iEFlag;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getChannelNo() {
		return channelNo;
	}

	public void setChannelNo(String channelNo) {
		this.channelNo = channelNo;
	}

	public String getChannelName() {
		return channelName;
	}

	public void setChannelName(String channelName) {
		this.channelName = channelName;
	}

	public String getVeNo() {
		return veNo;
	}

	public void setVeNo(String veNo) {
		this.veNo = veNo;
	}

	public Double getCrossWeight() {
		return crossWeight;
	}

	public void setCrossWeight(Double crossWeight) {
		this.crossWeight = crossWeight;
	}

	public String getChannelType() {
		return channelType;
	}

	public void setChannelType(String channelType) {
		this.channelType = channelType;
	}

	public String getCheckResult() {
		return checkResult;
	}

	public void setCheckResult(String checkResult) {
		this.checkResult = checkResult;
	}

	public String getManifestId() {
		return manifestId;
	}

	public void setManifestId(String manifestId) {
		this.manifestId = manifestId;
	}

	public String getBillCode() {
		return billCode;
	}

	public void setBillCode(String billCode) {
		this.billCode = billCode;
	}

	public String getCheckTime() {
		return checkTime;
	}

	public void setCheckTime(String checkTime) {
		this.checkTime = checkTime;
	}
}
